## dzl-progress-icon

dzl-progress-icon

## Functions

GtkWidget * | dzl_progress_icon_new ()
gdouble | dzl_progress_icon_get_progress ()
void | dzl_progress_icon_set_progress ()

## Properties

double | progress | Read / Write

## Types and Values

#define | DZL_TYPE_PROGRESS_ICON
| DzlProgressIcon

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── DzlProgressIcon

## Implemented Interfaces

DzlProgressIcon implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_progress_icon_new ()

    GtkWidget *
    dzl_progress_icon_new (void);

### dzl_progress_icon_get_progress ()

    gdouble
    dzl_progress_icon_get_progress (DzlProgressIcon *self);

### dzl_progress_icon_set_progress ()

    void
    dzl_progress_icon_set_progress (DzlProgressIcon *self,
                                    gdouble progress);

## Types and Values

### DZL_TYPE_PROGRESS_ICON

    #define DZL_TYPE_PROGRESS_ICON (dzl_progress_icon_get_type())

### DzlProgressIcon

    typedef struct _DzlProgressIcon DzlProgressIcon;

## Property Details

### The `“progress”` property

      “progress”                 double

Progress.

Owner: DzlProgressIcon

Flags: Read / Write

Allowed values: [0,1]

Default value: 0